#Copyright Melons 2022, ask permission before use.
Player:
	ExternalCondition@fact2:
		Condition: fact2
	ExternalCondition@fact3:
		Condition: fact3
	ExternalCondition@fact4:
		Condition: fact4
	ExternalCondition@fact5:
		Condition: fact5
	ExternalCondition@fact6:
		Condition: fact6
	ExternalCondition@fact7:
		Condition: fact7
	ExternalCondition@fact8:
		Condition: fact8
	ExternalCondition@fact10:
		Condition: fact10
	ExternalCondition@fact13:
		Condition: fact13
	ExternalCondition@fact17:
		Condition: fact17
	ExternalCondition@fact21:
		Condition: fact21
	ExternalCondition@fact25:
		Condition: fact25
	ExternalCondition@weap2:
		Condition: weap2
	ExternalCondition@weap3:
		Condition: weap3
	ExternalCondition@weap4:
		Condition: weap4
	ExternalCondition@weap5:
		Condition: weap5
	ExternalCondition@weap6:
		Condition: weap6
	ExternalCondition@weap7:
		Condition: weap7
	ExternalCondition@weap8:
		Condition: weap8
	ExternalCondition@weap10:
		Condition: weap10
	ExternalCondition@weap13:
		Condition: weap13
	ExternalCondition@weap17:
		Condition: weap17
	ExternalCondition@weap21:
		Condition: weap21
	ExternalCondition@weap25:
		Condition: weap25
	ExternalCondition@tent2:
		Condition: tent2
	ExternalCondition@tent3:
		Condition: tent3
	ExternalCondition@tent4:
		Condition: tent4
	ExternalCondition@tent5:
		Condition: tent5
	ExternalCondition@tent6:
		Condition: tent6
	ExternalCondition@tent7:
		Condition: tent7
	ExternalCondition@tent8:
		Condition: tent8
	ExternalCondition@tent10:
		Condition: tent10
	ExternalCondition@tent13:
		Condition: tent13
	ExternalCondition@tent17:
		Condition: tent17
	ExternalCondition@tent21:
		Condition: tent21
	ExternalCondition@tent25:
		Condition: tent25
	ExternalCondition@barr2:
		Condition: barr2
	ExternalCondition@barr3:
		Condition: barr3
	ExternalCondition@barr4:
		Condition: barr4
	ExternalCondition@barr5:
		Condition: barr5
	ExternalCondition@barr6:
		Condition: barr6
	ExternalCondition@barr7:
		Condition: barr7
	ExternalCondition@barr8:
		Condition: barr8
	ExternalCondition@barr10:
		Condition: barr10
	ExternalCondition@barr13:
		Condition: barr13
	ExternalCondition@barr17:
		Condition: barr17
	ExternalCondition@barr21:
		Condition: barr21
	ExternalCondition@barr25:
		Condition: barr25
	ExternalCondition@hpad2:
		Condition: hpad2
	ExternalCondition@hpad3:
		Condition: hpad3
	ExternalCondition@hpad4:
		Condition: hpad4
	ExternalCondition@hpad5:
		Condition: hpad5
	ExternalCondition@hpad6:
		Condition: hpad6
	ExternalCondition@hpad7:
		Condition: hpad7
	ExternalCondition@hpad8:
		Condition: hpad8
	ExternalCondition@hpad10:
		Condition: hpad10
	ExternalCondition@hpad13:
		Condition: hpad13
	ExternalCondition@hpad17:
		Condition: hpad17
	ExternalCondition@hpad21:
		Condition: hpad21
	ExternalCondition@hpad25:
		Condition: hpad25
	ExternalCondition@afld2:
		Condition: afld2
	ExternalCondition@afld3:
		Condition: afld3
	ExternalCondition@afld4:
		Condition: afld4
	ExternalCondition@afld5:
		Condition: afld5
	ExternalCondition@afld6:
		Condition: afld6
	ExternalCondition@afld7:
		Condition: afld7
	ExternalCondition@afld8:
		Condition: afld8
	ExternalCondition@afld10:
		Condition: afld10
	ExternalCondition@afld13:
		Condition: afld13
	ExternalCondition@afld17:
		Condition: afld17
	ExternalCondition@afld21:
		Condition: afld21
	ExternalCondition@afld25:
		Condition: afld25
	ExternalCondition@kenn2:
		Condition: kenn2
	ExternalCondition@kenn3:
		Condition: kenn3
	ExternalCondition@kenn4:
		Condition: kenn4
	ExternalCondition@kenn5:
		Condition: kenn5
	ExternalCondition@kenn6:
		Condition: kenn6
	ExternalCondition@kenn7:
		Condition: kenn7
	ExternalCondition@kenn8:
		Condition: kenn8
	ExternalCondition@kenn10:
		Condition: kenn10
	ExternalCondition@kenn13:
		Condition: kenn13
	ExternalCondition@kenn17:
		Condition: kenn17
	ExternalCondition@kenn21:
		Condition: kenn21
	ExternalCondition@kenn25:
		Condition: kenn25
	ExternalCondition@spen2:
		Condition: spen2
	ExternalCondition@spen3:
		Condition: spen3
	ExternalCondition@spen4:
		Condition: spen4
	ExternalCondition@spen5:
		Condition: spen5
	ExternalCondition@spen6:
		Condition: spen6
	ExternalCondition@spen7:
		Condition: spen7
	ExternalCondition@spen8:
		Condition: spen8
	ExternalCondition@spen10:
		Condition: spen10
	ExternalCondition@spen13:
		Condition: spen13
	ExternalCondition@spen17:
		Condition: spen17
	ExternalCondition@spen21:
		Condition: spen21
	ExternalCondition@spen25:
		Condition: spen25
	ExternalCondition@syrd2:
		Condition: syrd2
	ExternalCondition@syrd3:
		Condition: syrd3
	ExternalCondition@syrd4:
		Condition: syrd4
	ExternalCondition@syrd5:
		Condition: syrd5
	ExternalCondition@syrd6:
		Condition: syrd6
	ExternalCondition@syrd7:
		Condition: syrd7
	ExternalCondition@syrd8:
		Condition: syrd8
	ExternalCondition@syrd10:
		Condition: syrd10
	ExternalCondition@syrd13:
		Condition: syrd13
	ExternalCondition@syrd17:
		Condition: syrd17
	ExternalCondition@syrd21:
		Condition: syrd21
	ExternalCondition@syrd25:
		Condition: syrd25
	ExternalCondition@afld.ukraine2:
		Condition: afld.ukraine2
	ExternalCondition@afld.ukraine3:
		Condition: afld.ukraine3
	ExternalCondition@afld.ukraine4:
		Condition: afld.ukraine4
	ExternalCondition@afld.ukraine5:
		Condition: afld.ukraine5
	ExternalCondition@afld.ukraine6:
		Condition: afld.ukraine6
	ExternalCondition@afld.ukraine7:
		Condition: afld.ukraine7
	ExternalCondition@afld.ukraine8:
		Condition: afld.ukraine8
	ExternalCondition@afld.ukraine10:
		Condition: afld.ukraine10
	ExternalCondition@afld.ukraine13:
		Condition: afld.ukraine13
	ExternalCondition@afld.ukraine17:
		Condition: afld.ukraine17
	ExternalCondition@afld.ukraine21:
		Condition: afld.ukraine21
	ExternalCondition@afld.ukraine25:
		Condition: afld.ukraine25
	ProvidesPrerequisite@afld.ukraine2:
		Prerequisite: afld.ukraine2
		RequiresCondition: afld.ukraine2
	ProvidesPrerequisite@afld.ukraine3:
		Prerequisite: afld.ukraine3
		RequiresCondition: afld.ukraine3
	ProvidesPrerequisite@afld.ukraine4:
		Prerequisite: afld.ukraine4
		RequiresCondition: afld.ukraine4
	ProvidesPrerequisite@afld.ukraine5:
		Prerequisite: afld.ukraine5
		RequiresCondition: afld.ukraine5
	ProvidesPrerequisite@afld.ukraine6:
		Prerequisite: afld.ukraine6
		RequiresCondition: afld.ukraine6
	ProvidesPrerequisite@afld.ukraine7:
		Prerequisite: afld.ukraine7
		RequiresCondition: afld.ukraine7
	ProvidesPrerequisite@afld.ukraine8:
		Prerequisite: afld.ukraine8
		RequiresCondition: afld.ukraine8
	ProvidesPrerequisite@afld.ukraine10:
		Prerequisite: afld.ukraine10
		RequiresCondition: afld.ukraine10
	ProvidesPrerequisite@afld.ukraine13:
		Prerequisite: afld.ukraine13
		RequiresCondition: afld.ukraine13
	ProvidesPrerequisite@afld.ukraine17:
		Prerequisite: afld.ukraine17
		RequiresCondition: afld.ukraine17
	ProvidesPrerequisite@afld.ukraine21:
		Prerequisite: afld.ukraine21
		RequiresCondition: afld.ukraine21
	ProvidesPrerequisite@afld.ukraine25:
		Prerequisite: afld.ukraine25
		RequiresCondition: afld.ukraine25
	ProvidesPrerequisite@syrd2:
		Prerequisite: syrd2
		RequiresCondition: syrd2
	ProvidesPrerequisite@syrd3:
		Prerequisite: syrd3
		RequiresCondition: syrd3
	ProvidesPrerequisite@syrd4:
		Prerequisite: syrd4
		RequiresCondition: syrd4
	ProvidesPrerequisite@syrd5:
		Prerequisite: syrd5
		RequiresCondition: syrd5
	ProvidesPrerequisite@syrd6:
		Prerequisite: syrd6
		RequiresCondition: syrd6
	ProvidesPrerequisite@syrd7:
		Prerequisite: syrd7
		RequiresCondition: syrd7
	ProvidesPrerequisite@syrd8:
		Prerequisite: syrd8
		RequiresCondition: syrd8
	ProvidesPrerequisite@syrd10:
		Prerequisite: syrd10
		RequiresCondition: syrd10
	ProvidesPrerequisite@syrd13:
		Prerequisite: syrd13
		RequiresCondition: syrd13
	ProvidesPrerequisite@syrd17:
		Prerequisite: syrd17
		RequiresCondition: syrd17
	ProvidesPrerequisite@syrd21:
		Prerequisite: syrd21
		RequiresCondition: syrd21
	ProvidesPrerequisite@syrd25:
		Prerequisite: syrd25
		RequiresCondition: syrd25
	ProvidesPrerequisite@spen2:
		Prerequisite: spen2
		RequiresCondition: spen2
	ProvidesPrerequisite@spen3:
		Prerequisite: spen3
		RequiresCondition: spen3
	ProvidesPrerequisite@spen4:
		Prerequisite: spen4
		RequiresCondition: spen4
	ProvidesPrerequisite@spen5:
		Prerequisite: spen5
		RequiresCondition: spen5
	ProvidesPrerequisite@spen6:
		Prerequisite: spen6
		RequiresCondition: spen6
	ProvidesPrerequisite@spen7:
		Prerequisite: spen7
		RequiresCondition: spen7
	ProvidesPrerequisite@spen8:
		Prerequisite: spen8
		RequiresCondition: spen8
	ProvidesPrerequisite@spen10:
		Prerequisite: spen10
		RequiresCondition: spen10
	ProvidesPrerequisite@spen13:
		Prerequisite: spen13
		RequiresCondition: spen13
	ProvidesPrerequisite@spen17:
		Prerequisite: spen17
		RequiresCondition: spen17
	ProvidesPrerequisite@spen21:
		Prerequisite: spen21
		RequiresCondition: spen21
	ProvidesPrerequisite@spen25:
		Prerequisite: spen25
		RequiresCondition: spen25
	ProvidesPrerequisite@kenn2:
		Prerequisite: kenn2
		RequiresCondition: kenn2
	ProvidesPrerequisite@kenn3:
		Prerequisite: kenn3
		RequiresCondition: kenn3
	ProvidesPrerequisite@kenn4:
		Prerequisite: kenn4
		RequiresCondition: kenn4
	ProvidesPrerequisite@kenn5:
		Prerequisite: kenn5
		RequiresCondition: kenn5
	ProvidesPrerequisite@kenn6:
		Prerequisite: kenn6
		RequiresCondition: kenn6
	ProvidesPrerequisite@kenn7:
		Prerequisite: kenn7
		RequiresCondition: kenn7
	ProvidesPrerequisite@kenn8:
		Prerequisite: kenn8
		RequiresCondition: kenn8
	ProvidesPrerequisite@kenn10:
		Prerequisite: kenn10
		RequiresCondition: kenn10
	ProvidesPrerequisite@kenn13:
		Prerequisite: kenn13
		RequiresCondition: kenn13
	ProvidesPrerequisite@kenn17:
		Prerequisite: kenn17
		RequiresCondition: kenn17
	ProvidesPrerequisite@kenn21:
		Prerequisite: kenn21
		RequiresCondition: kenn21
	ProvidesPrerequisite@kenn25:
		Prerequisite: kenn25
		RequiresCondition: kenn25
	ProvidesPrerequisite@afld2:
		Prerequisite: afld2
		RequiresCondition: afld2
	ProvidesPrerequisite@afld3:
		Prerequisite: afld3
		RequiresCondition: afld3
	ProvidesPrerequisite@afld4:
		Prerequisite: afld4
		RequiresCondition: afld4
	ProvidesPrerequisite@afld5:
		Prerequisite: afld5
		RequiresCondition: afld5
	ProvidesPrerequisite@afld6:
		Prerequisite: afld6
		RequiresCondition: afld6
	ProvidesPrerequisite@afld7:
		Prerequisite: afld7
		RequiresCondition: afld7
	ProvidesPrerequisite@afld8:
		Prerequisite: afld8
		RequiresCondition: afld8
	ProvidesPrerequisite@afld10:
		Prerequisite: afld10
		RequiresCondition: afld10
	ProvidesPrerequisite@afld13:
		Prerequisite: afld13
		RequiresCondition: afld13
	ProvidesPrerequisite@afld17:
		Prerequisite: afld17
		RequiresCondition: afld17
	ProvidesPrerequisite@afld21:
		Prerequisite: afld21
		RequiresCondition: afld21
	ProvidesPrerequisite@afld25:
		Prerequisite: afld25
		RequiresCondition: afld25
	ProvidesPrerequisite@hpad2:
		Prerequisite: hpad2
		RequiresCondition: hpad2
	ProvidesPrerequisite@hpad3:
		Prerequisite: hpad3
		RequiresCondition: hpad3
	ProvidesPrerequisite@hpad4:
		Prerequisite: hpad4
		RequiresCondition: hpad4
	ProvidesPrerequisite@hpad5:
		Prerequisite: hpad5
		RequiresCondition: hpad5
	ProvidesPrerequisite@hpad6:
		Prerequisite: hpad6
		RequiresCondition: hpad6
	ProvidesPrerequisite@hpad7:
		Prerequisite: hpad7
		RequiresCondition: hpad7
	ProvidesPrerequisite@hpad8:
		Prerequisite: hpad8
		RequiresCondition: hpad8
	ProvidesPrerequisite@hpad10:
		Prerequisite: hpad10
		RequiresCondition: hpad10
	ProvidesPrerequisite@hpad13:
		Prerequisite: hpad13
		RequiresCondition: hpad13
	ProvidesPrerequisite@hpad17:
		Prerequisite: hpad17
		RequiresCondition: hpad17
	ProvidesPrerequisite@hpad21:
		Prerequisite: hpad21
		RequiresCondition: hpad21
	ProvidesPrerequisite@hpad25:
		Prerequisite: hpad25
		RequiresCondition: hpad25
	ProvidesPrerequisite@barr2:
		Prerequisite: barr2
		RequiresCondition: barr2
	ProvidesPrerequisite@barr3:
		Prerequisite: barr3
		RequiresCondition: barr3
	ProvidesPrerequisite@barr4:
		Prerequisite: barr4
		RequiresCondition: barr4
	ProvidesPrerequisite@barr5:
		Prerequisite: barr5
		RequiresCondition: barr5
	ProvidesPrerequisite@barr6:
		Prerequisite: barr6
		RequiresCondition: barr6
	ProvidesPrerequisite@barr7:
		Prerequisite: barr7
		RequiresCondition: barr7
	ProvidesPrerequisite@barr8:
		Prerequisite: barr8
		RequiresCondition: barr8
	ProvidesPrerequisite@barr10:
		Prerequisite: barr10
		RequiresCondition: barr10
	ProvidesPrerequisite@barr13:
		Prerequisite: barr13
		RequiresCondition: barr13
	ProvidesPrerequisite@barr17:
		Prerequisite: barr17
		RequiresCondition: barr17
	ProvidesPrerequisite@barr21:
		Prerequisite: barr21
		RequiresCondition: barr21
	ProvidesPrerequisite@barr25:
		Prerequisite: barr25
		RequiresCondition: barr25
	ProvidesPrerequisite@tent2:
		Prerequisite: tent2
		RequiresCondition: tent2
	ProvidesPrerequisite@tent3:
		Prerequisite: tent3
		RequiresCondition: tent3
	ProvidesPrerequisite@tent4:
		Prerequisite: tent4
		RequiresCondition: tent4
	ProvidesPrerequisite@tent5:
		Prerequisite: tent5
		RequiresCondition: tent5
	ProvidesPrerequisite@tent6:
		Prerequisite: tent6
		RequiresCondition: tent6
	ProvidesPrerequisite@tent7:
		Prerequisite: tent7
		RequiresCondition: tent7
	ProvidesPrerequisite@tent8:
		Prerequisite: tent8
		RequiresCondition: tent8
	ProvidesPrerequisite@tent10:
		Prerequisite: tent10
		RequiresCondition: tent10
	ProvidesPrerequisite@tent13:
		Prerequisite: tent13
		RequiresCondition: tent13
	ProvidesPrerequisite@tent17:
		Prerequisite: tent17
		RequiresCondition: tent17
	ProvidesPrerequisite@tent21:
		Prerequisite: tent21
		RequiresCondition: tent21
	ProvidesPrerequisite@tent25:
		Prerequisite: tent25
		RequiresCondition: tent25
	ProvidesPrerequisite@weap2:
		Prerequisite: weap2
		RequiresCondition: weap2
	ProvidesPrerequisite@weap3:
		Prerequisite: weap3
		RequiresCondition: weap3
	ProvidesPrerequisite@weap4:
		Prerequisite: weap4
		RequiresCondition: weap4
	ProvidesPrerequisite@weap5:
		Prerequisite: weap5
		RequiresCondition: weap5
	ProvidesPrerequisite@weap6:
		Prerequisite: weap6
		RequiresCondition: weap6
	ProvidesPrerequisite@weap7:
		Prerequisite: weap7
		RequiresCondition: weap7
	ProvidesPrerequisite@weap8:
		Prerequisite: weap8
		RequiresCondition: weap8
	ProvidesPrerequisite@weap10:
		Prerequisite: weap10
		RequiresCondition: weap10
	ProvidesPrerequisite@weap13:
		Prerequisite: weap13
		RequiresCondition: weap13
	ProvidesPrerequisite@weap17:
		Prerequisite: weap17
		RequiresCondition: weap17
	ProvidesPrerequisite@weap21:
		Prerequisite: weap21
		RequiresCondition: weap21
	ProvidesPrerequisite@weap25:
		Prerequisite: weap25
		RequiresCondition: weap25
	ProvidesPrerequisite@fact2:
		Prerequisite: fact2
		RequiresCondition: fact2
	ProvidesPrerequisite@fact3:
		Prerequisite: fact3
		RequiresCondition: fact3
	ProvidesPrerequisite@fact4:
		Prerequisite: fact4
		RequiresCondition: fact4
	ProvidesPrerequisite@fact5:
		Prerequisite: fact5
		RequiresCondition: fact5
	ProvidesPrerequisite@fact6:
		Prerequisite: fact6
		RequiresCondition: fact6
	ProvidesPrerequisite@fact7:
		Prerequisite: fact7
		RequiresCondition: fact7
	ProvidesPrerequisite@fact8:
		Prerequisite: fact8
		RequiresCondition: fact8
	ProvidesPrerequisite@fact10:
		Prerequisite: fact10
		RequiresCondition: fact10
	ProvidesPrerequisite@fact13:
		Prerequisite: fact13
		RequiresCondition: fact13
	ProvidesPrerequisite@fact17:
		Prerequisite: fact17
		RequiresCondition: fact17
	ProvidesPrerequisite@fact21:
		Prerequisite: fact21
		RequiresCondition: fact21
	ProvidesPrerequisite@fact25:
		Prerequisite: fact25
		RequiresCondition: fact25



^TBUILDFACT:
	ProductionTimeMultiplier@fact2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~fact2
	ProductionTimeMultiplier@fact3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~fact3
	ProductionTimeMultiplier@fact4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~fact4
	ProductionTimeMultiplier@fact5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~fact5
	ProductionTimeMultiplier@fact6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~fact6
	ProductionTimeMultiplier@fact7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~fact7
	ProductionTimeMultiplier@fact8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~fact8
	ProductionTimeMultiplier@fact10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~fact10
	ProductionTimeMultiplier@fact13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~fact13
	ProductionTimeMultiplier@fact17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~fact17
	ProductionTimeMultiplier@fact21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~fact21
	ProductionTimeMultiplier@fact25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~fact25


WEAP:
	Inherits@toxic: ^TBUILDFACT
TENT:
	Inherits@toxic: ^TBUILDFACT
PROC:
	Inherits@toxic: ^TBUILDFACT
KENN:
	Inherits@toxic: ^TBUILDFACT
SPEN:
	Inherits@toxic: ^TBUILDFACT
SYRD:
	Inherits@toxic: ^TBUILDFACT
IRON:
	Inherits@toxic: ^TBUILDFACT
PDOX:
	Inherits@toxic: ^TBUILDFACT
DOME:
	Inherits@toxic: ^TBUILDFACT
SPEN:
	Inherits@toxic: ^TBUILDFACT
HPAD:
	Inherits@toxic: ^TBUILDFACT
AFLD:
	Inherits@toxic: ^TBUILDFACT
AFLD.Ukraine:
	Inherits@toxic: ^TBUILDFACT
POWR:
	Inherits@toxic: ^TBUILDFACT
APWR:
	Inherits@toxic: ^TBUILDFACT
STEK:
	Inherits@toxic: ^TBUILDFACT
BARR:
	Inherits@toxic: ^TBUILDFACT
TENT:
	Inherits@toxic: ^TBUILDFACT
FIX:
	Inherits@toxic: ^TBUILDFACT
MSLO:
	Inherits@toxic: ^TBUILDFACT
GAP:
	Inherits@toxic: ^TBUILDFACT
TSLA:
	Inherits@toxic: ^TBUILDFACT
AGUN:
	Inherits@toxic: ^TBUILDFACT
PBOX:
	Inherits@toxic: ^TBUILDFACT
HBOX:
	Inherits@toxic: ^TBUILDFACT
GUN:
	Inherits@toxic: ^TBUILDFACT
FTUR:
	Inherits@toxic: ^TBUILDFACT
SAM:
	Inherits@toxic: ^TBUILDFACT
SILO:
	Inherits@toxic: ^TBUILDFACT
ATEK:
	Inherits@toxic: ^TBUILDFACT


^TBUILDWEAP:
	ProductionTimeMultiplier@weap2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~weap2
	ProductionTimeMultiplier@weap3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~weap3
	ProductionTimeMultiplier@weap4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~weap4
	ProductionTimeMultiplier@weap5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~weap5
	ProductionTimeMultiplier@weap6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~weap6
	ProductionTimeMultiplier@weap7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~weap7
	ProductionTimeMultiplier@weap8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~weap8
	ProductionTimeMultiplier@weap10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~weap10
	ProductionTimeMultiplier@weap13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~weap13
	ProductionTimeMultiplier@weap17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~weap17
	ProductionTimeMultiplier@weap21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~weap21
	ProductionTimeMultiplier@weap25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~weap25


V2RL:
	Inherits@toxic: ^TBUILDWEAP
1TNK:
	Inherits@toxic: ^TBUILDWEAP
2TNK:
	Inherits@toxic: ^TBUILDWEAP
3TNK:
	Inherits@toxic: ^TBUILDWEAP
4TNK:
	Inherits@toxic: ^TBUILDWEAP
ARTY:
	Inherits@toxic: ^TBUILDWEAP
HARV:
	Inherits@toxic: ^TBUILDWEAP
MCV:
	Inherits@toxic: ^TBUILDWEAP
JEEP:
	Inherits@toxic: ^TBUILDWEAP
APC:
	Inherits@toxic: ^TBUILDWEAP
MNLY:
	Inherits@toxic: ^TBUILDWEAP
TRUK:
	Inherits@toxic: ^TBUILDWEAP
MGG:
	Inherits@toxic: ^TBUILDWEAP
MRJ:
	Inherits@toxic: ^TBUILDWEAP
TTNK:
	Inherits@toxic: ^TBUILDWEAP
FTRK:
	Inherits@toxic: ^TBUILDWEAP
DTRK:
	Inherits@toxic: ^TBUILDWEAP
CTNK:
	Inherits@toxic: ^TBUILDWEAP
QTNK:
	Inherits@toxic: ^TBUILDWEAP
STNK:
	Inherits@toxic: ^TBUILDWEAP


^TBUILDTENT:
	ProductionTimeMultiplier@tent2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~tent2
	ProductionTimeMultiplier@tent3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~tent3
	ProductionTimeMultiplier@tent4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~tent4
	ProductionTimeMultiplier@tent5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~tent5
	ProductionTimeMultiplier@tent6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~tent6
	ProductionTimeMultiplier@tent7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~tent7
	ProductionTimeMultiplier@tent8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~tent8
	ProductionTimeMultiplier@tent10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~tent10
	ProductionTimeMultiplier@tent13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~tent13
	ProductionTimeMultiplier@tent17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~tent17
	ProductionTimeMultiplier@tent21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~tent21
	ProductionTimeMultiplier@tent25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~tent25


E1:
	Inherits@toxic: ^TBUILDTENT
E1R1:
	Inherits@toxic: ^TBUILDTENT
E3:
	Inherits@toxic: ^TBUILDTENT
E3R1:
	Inherits@toxic: ^TBUILDTENT
E6:
	Inherits@toxic: ^TBUILDTENT
SPY:
	Inherits@toxic: ^TBUILDTENT
SPY.England:
	Inherits@toxic: ^TBUILDTENT
E7:
	Inherits@toxic: ^TBUILDTENT
MEDI:
	Inherits@toxic: ^TBUILDTENT
MECH:
	Inherits@toxic: ^TBUILDTENT


^TBUILDBARR:
	ProductionTimeMultiplier@barr2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~barr2
	ProductionTimeMultiplier@barr3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~barr3
	ProductionTimeMultiplier@barr4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~barr4
	ProductionTimeMultiplier@barr5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~barr5
	ProductionTimeMultiplier@barr6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~barr6
	ProductionTimeMultiplier@barr7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~barr7
	ProductionTimeMultiplier@barr8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~barr8
	ProductionTimeMultiplier@barr10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~barr10
	ProductionTimeMultiplier@barr13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~barr13
	ProductionTimeMultiplier@barr17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~barr17
	ProductionTimeMultiplier@barr21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~barr21
	ProductionTimeMultiplier@barr25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~barr25



E1:
	Inherits@toxicbarr: ^TBUILDBARR
E2:
	Inherits@toxicbarr: ^TBUILDBARR
E3:
	Inherits@toxicbarr: ^TBUILDBARR
E6:
	Inherits@toxicbarr: ^TBUILDBARR
THF:
	Inherits@toxicbarr: ^TBUILDBARR
SHOK:
	Inherits@toxicbarr: ^TBUILDBARR
E4:
	Inherits@toxicbarr: ^TBUILDBARR



^TBUILDHPAD:
	ProductionTimeMultiplier@hpad2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~hpad2
	ProductionTimeMultiplier@hpad3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~hpad3
	ProductionTimeMultiplier@hpad4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~hpad4
	ProductionTimeMultiplier@hpad5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~hpad5
	ProductionTimeMultiplier@hpad6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~hpad6
	ProductionTimeMultiplier@hpad7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~hpad7
	ProductionTimeMultiplier@hpad8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~hpad8
	ProductionTimeMultiplier@hpad10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~hpad10
	ProductionTimeMultiplier@hpad13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~hpad13
	ProductionTimeMultiplier@hpad17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~hpad17
	ProductionTimeMultiplier@hpad21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~hpad21
	ProductionTimeMultiplier@hpad25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~hpad25

TRAN:
	Inherits@toxic: ^TBUILDHPAD
HELI:
	Inherits@toxic: ^TBUILDHPAD
HIND:
	Inherits@toxic: ^TBUILDHPAD
MH60:
	Inherits@toxic: ^TBUILDHPAD



^TBUILDafld.ukraine:
	ProductionTimeMultiplier@afld.ukraine2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~afld.ukraine2
	ProductionTimeMultiplier@afld.ukraine3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~afld.ukraine3
	ProductionTimeMultiplier@afld.ukraine4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~afld.ukraine4
	ProductionTimeMultiplier@afld.ukraine5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~afld.ukraine5
	ProductionTimeMultiplier@afld.ukraine6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~afld.ukraine6
	ProductionTimeMultiplier@afld.ukraine7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~afld.ukraine7
	ProductionTimeMultiplier@afld.ukraine8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~afld.ukraine8
	ProductionTimeMultiplier@afld.ukraine10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~afld.ukraine10
	ProductionTimeMultiplier@afld.ukraine13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~afld.ukraine13
	ProductionTimeMultiplier@afld.ukraine17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~afld.ukraine17
	ProductionTimeMultiplier@afld.ukraine21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~afld.ukraine21
	ProductionTimeMultiplier@afld.ukraine25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~afld.ukraine25


MIG:
	Inherits@toxic2: ^TBUILDafld.ukraine
YAK:
	Inherits@toxic2: ^TBUILDafld.ukraine

^TBUILDAFLD:
	ProductionTimeMultiplier@afld2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~afld2
	ProductionTimeMultiplier@afld3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~afld3
	ProductionTimeMultiplier@afld4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~afld4
	ProductionTimeMultiplier@afld5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~afld5
	ProductionTimeMultiplier@afld6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~afld6
	ProductionTimeMultiplier@afld7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~afld7
	ProductionTimeMultiplier@afld8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~afld8
	ProductionTimeMultiplier@afld10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~afld10
	ProductionTimeMultiplier@afld13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~afld13
	ProductionTimeMultiplier@afld17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~afld17
	ProductionTimeMultiplier@afld21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~afld21
	ProductionTimeMultiplier@afld25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~afld25


MIG:
	Inherits@toxic: ^TBUILDAFLD
YAK:
	Inherits@toxic: ^TBUILDAFLD

^TBUILDKENN:
	ProductionTimeMultiplier@kenn2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~kenn2
	ProductionTimeMultiplier@kenn3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~kenn3
	ProductionTimeMultiplier@kenn4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~kenn4
	ProductionTimeMultiplier@kenn5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~kenn5
	ProductionTimeMultiplier@kenn6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~kenn6
	ProductionTimeMultiplier@kenn7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~kenn7
	ProductionTimeMultiplier@kenn8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~kenn8
	ProductionTimeMultiplier@kenn10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~kenn10
	ProductionTimeMultiplier@kenn13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~kenn13
	ProductionTimeMultiplier@kenn17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~kenn17
	ProductionTimeMultiplier@kenn21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~kenn21
	ProductionTimeMultiplier@kenn25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~kenn25

DOG:
	Inherits@toxickenn: ^TBUILDKENN

^TBUILDSPEN:
	ProductionTimeMultiplier@spen2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~spen2
	ProductionTimeMultiplier@spen3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~spen3
	ProductionTimeMultiplier@spen4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~spen4
	ProductionTimeMultiplier@spen5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~spen5
	ProductionTimeMultiplier@spen6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~spen6
	ProductionTimeMultiplier@spen7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~spen7
	ProductionTimeMultiplier@spen8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~spen8
	ProductionTimeMultiplier@spen10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~spen10
	ProductionTimeMultiplier@spen13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~spen13
	ProductionTimeMultiplier@spen17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~spen17
	ProductionTimeMultiplier@spen21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~spen21
	ProductionTimeMultiplier@spen25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~spen25

SS:
	Inherits@toxickenn: ^TBUILDSPEN
MSUB:
	Inherits@toxickenn: ^TBUILDSPEN
LST:
	Inherits@toxickenn: ^TBUILDSPEN



^TBUILDSYRD:
	ProductionTimeMultiplier@syrd2:
		Multiplier: 75
		Prerequisites: ~toxic_enabled, ~syrd2
	ProductionTimeMultiplier@syrd3:
		Multiplier: 50
		Prerequisites: ~toxic_enabled, ~syrd3
	ProductionTimeMultiplier@syrd4:
		Multiplier: 40
		Prerequisites: ~toxic_enabled, ~syrd4
	ProductionTimeMultiplier@syrd5:
		Multiplier: 30
		Prerequisites: ~toxic_enabled, ~syrd5
	ProductionTimeMultiplier@syrd6:
		Multiplier: 20
		Prerequisites: ~toxic_enabled, ~syrd6
	ProductionTimeMultiplier@syrd7:
		Multiplier: 15
		Prerequisites: ~toxic_enabled, ~syrd7
	ProductionTimeMultiplier@syrd8:
		Multiplier: 10
		Prerequisites: ~toxic_enabled, ~syrd8
	ProductionTimeMultiplier@syrd10:
		Multiplier: 7
		Prerequisites: ~toxic_enabled, ~syrd10
	ProductionTimeMultiplier@syrd13:
		Multiplier: 5
		Prerequisites: ~toxic_enabled, ~syrd13
	ProductionTimeMultiplier@syrd17:
		Multiplier: 4
		Prerequisites: ~toxic_enabled, ~syrd17
	ProductionTimeMultiplier@syrd21:
		Multiplier: 2
		Prerequisites: ~toxic_enabled, ~syrd21
	ProductionTimeMultiplier@syrd25:
		Multiplier: 1
		Prerequisites: ~toxic_enabled, ~syrd25

DD:
	Inherits@toxickenn: ^TBUILDSYRD
CA:
	Inherits@toxickenn: ^TBUILDSYRD
LST:
	Inherits@toxickenn: ^TBUILDSYRD
PT:
	Inherits@toxickenn: ^TBUILDSYRD


MINE:
	GrantConditionOnPrerequisite@TOXICMODE2:
		Condition: toxicbuild2
		Prerequisites: ~toxic_enabled
	SeedsResource@TOXICMODE:
		Interval: 25
		MaxRange: 20
		ResourceType: Gems
		RequiresCondition: toxicbuild2
	SeedsResource@NONTOXICMODE:
		Interval: 75
		MaxRange: 20
		ResourceType: Ore
		RequiresCondition: !toxicbuild2

GMINE:
	GrantConditionOnPrerequisite@TOXICMODE2:
		Condition: toxicbuild2
		Prerequisites: ~toxic_enabled
	SeedsResource@TOXICMODE:
		Interval: 25
		MaxRange: 20
		ResourceType: Gems
		RequiresCondition: toxicbuild2
	SeedsResource@NONTOXICMODE:
		Interval: 75
		MaxRange: 20
		ResourceType: Gems
		RequiresCondition: !toxicbuild2

OILB:
	GrantConditionOnPrerequisite@TOXICMODE2:
		Condition: toxicbuild2
		Prerequisites: ~toxic_enabled
	Targetable:
		TargetTypes: SpyInfiltrate
	CashTrickler@TOXICMODE:
		Interval: 150
		Amount: 150
		RequiresCondition: toxicbuild2
	CashTrickler@NONTOXICMODE:
		Interval: 375
		Amount: 100
		RequiresCondition: !toxicbuild2

2TNK:
	-SpawnActorOnDeath:
	GrantConditionOnPrerequisite@nohusks:
		Condition: husksoff2
		Prerequisites: ~toxic_enabled
	SpawnActorOnDeath@toxicmodehusks:
		Actor: 2TNK.Husk
		Probability: 0
		RequiresCondition: husksoff2
	SpawnActorOnDeath@nontoxicmodehusks:
		Actor: 2TNK.Husk
		Probability: 100
		RequiresCondition: !husksoff2

3TNK:
	-SpawnActorOnDeath:
	GrantConditionOnPrerequisite@nohusks:
		Condition: husksoff2
		Prerequisites: ~toxic_enabled
	SpawnActorOnDeath@toxicmodehusks:
		Actor: 3TNK.Husk
		Probability: 0
		RequiresCondition: husksoff2
	SpawnActorOnDeath@nontoxicmodehusks:
		Actor: 3TNK.Husk
		Probability: 100
		RequiresCondition: !husksoff2

4TNK:
	-SpawnActorOnDeath:
	GrantConditionOnPrerequisite@nohusks:
		Condition: husksoff2
		Prerequisites: ~toxic_enabled
	SpawnActorOnDeath@toxicmodehusks:
		Actor: 4TNK.Husk
		Probability: 0
		RequiresCondition: husksoff2
	SpawnActorOnDeath@nontoxicmodehusks:
		Actor: 4TNK.Husk
		Probability: 100
		RequiresCondition: !husksoff2
		
MGG:
	-SpawnActorOnDeath:
	GrantConditionOnPrerequisite@nohusks:
		Condition: husksoff2
		Prerequisites: ~toxic_enabled
	SpawnActorOnDeath@toxicmodehusks:
		Actor: MGG.Husk
		Probability: 0
		RequiresCondition: husksoff2
	SpawnActorOnDeath@nontoxicmodehusks:
		Actor: MGG.Husk
		Probability: 100
		RequiresCondition: !husksoff2
